Bug 1254244 - CVE-2015-5203 jasper: double free in jasper_image_stop_load() [fedora-all]
Summary: CVE-2015-5203 jasper: double free in jasper_image_stop_load() [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jasper
Version: 24
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-5203
TreeView+ depends on / blocked
 
Reported: 2015-08-17 13:47 UTC by Martin Prpič
Modified: 2016-09-21 20:20 UTC (History)
4 users (show)

Fixed In Version: jasper-1.900.1-33.fc24 jasper-1.900.1-33.fc25 jasper-1.900.1-34.fc24 jasper-1.900.1-34.fc25 jasper-1.900.1-34.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-18 02:19:12 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-08-17 13:47:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-08-17 13:48:02 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1254242,1254244

# Description of your update
notes=Security fix for CVE-2015-5203

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1254242,1254244

Comment 2 Jiri Popelka 2016-01-14 18:00:39 UTC
Patch: http://seclists.org/oss-sec/2015/q3/416

Comment 3 Fedora End Of Life 2016-07-19 20:35:06 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Fedora Update System 2016-08-12 06:42:57 UTC
jasper-1.900.1-33.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5aa6973100

Comment 5 Fedora Update System 2016-08-12 06:43:22 UTC
jasper-1.900.1-33.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b17661de5

Comment 6 Fedora Update System 2016-08-12 06:43:43 UTC
jasper-1.900.1-33.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7776983633

Comment 7 Fedora Update System 2016-08-12 14:27:36 UTC
jasper-1.900.1-33.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b17661de5

Comment 8 Fedora Update System 2016-08-12 20:52:24 UTC
jasper-1.900.1-33.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5aa6973100

Comment 9 Fedora Update System 2016-08-12 20:52:27 UTC
jasper-1.900.1-33.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7776983633

Comment 10 Fedora Update System 2016-08-15 21:21:47 UTC
jasper-1.900.1-33.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-09-09 21:51:59 UTC
jasper-1.900.1-33.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Dave Airlie 2016-09-14 22:25:25 UTC
reopening this bug, this jasper update broke ABI in Fedora, which is a big no-no.

Comment 13 Fedora Update System 2016-09-15 05:35:44 UTC
jasper-1.900.1-34.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7bfdc9d8d8

Comment 14 Fedora Update System 2016-09-15 05:35:54 UTC
jasper-1.900.1-34.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a7e745a56

Comment 15 Fedora Update System 2016-09-15 05:36:00 UTC
jasper-1.900.1-34.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbecf64af4

Comment 16 Josef Ridky 2016-09-15 05:41:08 UTC
Dave, thank you for cooperation. I will discuss this issue with upstream to find the solution. Until that, this CVE will not be applied in the package.

Comment 17 Fedora Update System 2016-09-16 00:52:17 UTC
jasper-1.900.1-34.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbecf64af4

Comment 18 Fedora Update System 2016-09-16 00:53:58 UTC
jasper-1.900.1-34.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a7e745a56

Comment 19 Fedora Update System 2016-09-16 01:24:44 UTC
jasper-1.900.1-34.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7bfdc9d8d8

Comment 20 Fedora Update System 2016-09-18 02:19:08 UTC
jasper-1.900.1-34.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-09-20 17:06:13 UTC
jasper-1.900.1-34.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-09-21 20:20:12 UTC
jasper-1.900.1-34.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.